Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.j2ee.statistics
Interface JMSSessionStats

All Superinterfaces:
  Stats

public interface JMSSessionStats
extends Stats

Specifies the statistics provided by a JMS session.

Author:
  Hans Hrasna

Method Summary
`JMSConsumerStats[]` | `getConsumers()` Returns an array of JMSConsumerStats that provide statistics about the message consumers associated with the referencing JMS session statistics.
`CountStatistic` | `getDurableSubscriptionCount()` Number of durable subscriptions.
`CountStatistic` | `getExpiredMessageCount()` Number of expired messages.
`CountStatistic` | `getMessageCount()` Number of messages exchanged.
`TimeStatistic` | `getMessageWaitTime()` Time spent by a message before being delivered.
`CountStatistic` | `getPendingMessageCount()` Number of pending messages.
`JMSProducerStats[]` | `getProducers()` Returns an array of JMSProducerStats that provide statistics about the message producers associated with the referencing JMS session statistics.

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Method Detail

### getProducers

    public JMSProducerStats[] getProducers()

  Returns an array of JMSProducerStats that provide statistics about the message producers associated with the referencing JMS session statistics.

### getConsumers

    public JMSConsumerStats[] getConsumers()

  Returns an array of JMSConsumerStats that provide statistics about the message consumers associated with the referencing JMS session statistics.

### getMessageCount

    public CountStatistic getMessageCount()

  Number of messages exchanged.

### getPendingMessageCount

    public CountStatistic getPendingMessageCount()

  Number of pending messages.

### getExpiredMessageCount

    public CountStatistic getExpiredMessageCount()

  Number of expired messages.

### getMessageWaitTime

    public TimeStatistic getMessageWaitTime()

  Time spent by a message before being delivered.

### getDurableSubscriptionCount

    public CountStatistic getDurableSubscriptionCount()

  Number of durable subscriptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.